Bug 15316 - В kdebase cломана сборка с openssl с поддержкой kerberos
: В kdebase cломана сборка с openssl с поддержкой kerberos
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kdebase)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 15105
  Show dependency tree
 
Reported: 2008-04-11 14:58 by
Modified: 2008-09-09 17:22 (History)


Attachments
Патч, с которым kdebase собирается (при наличии поддержки kerberos в openssl) (516 bytes, patch)
2008-06-30 17:31, Konstantin Baev
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-04-11 14:58:02
При сборке kssl не используются необходимые заголовочные файлы для openssl. 
То есть в pkg-config они прописаны:
$ pkg-config openssl --cflags
-I/usr/include/krb5
А во время сборки kdebase не используются...
Steps to Reproduce:
1. Установить openssl с поддержкой kerberos
http://git.altlinux.org/people/sin/packages/?p=openssl.git;a=summary
2. Попытаться собрать kdebase
Actual Results:  
Making all in crypto
make[3]: Entering directory
`/home/imelnikov/RPM/BUILD/kdebase-3.5.9/kcontrol/crypto'
/usr/lib/qt3/bin/moc ./kdatetimedlg.h -o kdatetimedlg.moc
/usr/lib/qt3/bin/moc ./crypto.h -o crypto.moc
/usr/lib/qt3/bin/moc ./certexport.h -o certexport.moc
creating kcm_crypto_la.all_cpp.cpp ...
/bin/sh ../../libtool --silent --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H
-I. -I../..  -I/usr/lib/qt3/include/ -I.   -DQT_THREAD_SUPPORT -pipe -Wall -Os
-march=athlon -mtune=athlon-xp -L/usr/lib/qt3/lib -DX11CONFDIR='"/etc/X11"'
-D_REENTRANT -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES=1 -Wno-long-long -Wundef
-ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wchar-subscripts -Wall -W
-Wpointer-arith -DNDEBUG -DNO_DEBUG -O2 -pipe -Wall -Os -march=athlon
-mtune=athlon-xp -L/usr/lib/qt3/lib -DX11CONFDIR='"/etc/X11"' -Wformat-security
-Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new
-fno-common -fvisibility=hidden -fvisibility-inlines-hidden
-DQT_CLEAN_NAMESPACE
-DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION -D_GNU_SOURCE
 -DLIBDIR=/usr/lib -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500
-D_BSD_SOURCE -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -DNDEBUG
-DNO_DEBUG -O2 -pipe -Wall -Os -march=athlon -mtune=athlon-xp
-L/usr/lib/qt3/lib
-DX11CONFDIR='"/etc/X11"' -Wformat-security -Wmissing-format-attribute
-Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common
-fvisibility=hidden -fvisibility-inlines-hidden -DQT_CLEAN_NAMESPACE
-DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION -D_GNU_SOURCE
 -MT kcm_crypto_la.all_cpp.lo -MD -MP -MF .deps/kcm_crypto_la.all_cpp.Tpo -c -o
kcm_crypto_la.all_cpp.lo kcm_crypto_la.all_cpp.cpp
In file included from /usr/include/openssl/ssl.h:191,
                 from crypto.cpp:76,
                 from kcm_crypto_la.all_cpp.cpp:2:
/usr/include/openssl/kssl.h:72:18: error: krb5.h: No such file or directory
/usr/include/openssl/kssl.h:138: error: 'krb5_enctype' does not name a type
/usr/include/openssl/kssl.h:140: error: expected ';' before '*' token
/usr/include/openssl/kssl.h:153: error: 'krb5_error_code' does not name a type
/usr/include/openssl/kssl.h:157: error: 'krb5_error_code' does not name a type
/usr/include/openssl/kssl.h:159: error: 'krb5_error_code' does not name a type
/usr/include/openssl/kssl.h:161: error: 'krb5_error_code' does not name a type
/usr/include/openssl/kssl.h:163: error: 'krb5_error_code' does not name a type
/usr/include/openssl/kssl.h:165: error: variable or field
'kssl_krb5_free_data_contents' declared void
/usr/include/openssl/kssl.h:165: error: 'krb5_context' was not declared in this
scope
/usr/include/openssl/kssl.h:165: error: 'krb5_data' was not declared in this
scope
/usr/include/openssl/kssl.h:165: error: 'data' was not declared in this scope
/usr/include/openssl/kssl.h:165: error: initializer expression list treated as
compound expression
/usr/include/openssl/kssl.h:166: error: 'krb5_error_code' does not name a type
/usr/include/openssl/kssl.h:169: error: 'krb5_error_code' does not name a type
/usr/include/openssl/kssl.h:171: error: 'krb5_error_code' does not name a type
/usr/include/openssl/kssl.h:173: error: 'krb5_enctype' was not declared in this
scope
/usr/include/openssl/kssl.h:173: error: expected primary-expression before
'unsigned'
/usr/include/openssl/kssl.h:173: error: initializer expression list treated as
compound expression
make[3]: *** [kcm_crypto_la.all_cpp.lo] Error 1
make[3]: Leaving directory
`/home/imelnikov/RPM/BUILD/kdebase-3.5.9/kcontrol/crypto'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/imelnikov/RPM/BUILD/kdebase-3.5.9/kcontrol'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/imelnikov/RPM/BUILD/kdebase-3.5.9'
make: *** [all] Error 2
make: Leaving directory `/home/imelnikov/RPM/BUILD/kdebase-3.5.9'
ошибка: Неверный код возврата из /home/imelnikov/tmp/rpm-tmp.10344 (%build)


Ошибки сборки пакетов:
    Неверный код возврата из /home/imelnikov/tmp/rpm-tmp.10344 (%build)
------- Comment #1 From 2008-06-30 17:31:41 -------
Created an attachment (id=2688) [details]
Патч, с которым kdebase собирается (при наличии поддержки kerberos в openssl)

В файле admin/acinclude.m4.in пути к krb5.h ищутся перебором. В этот перебор
добавлен поиск в нужной папке, в данном случае в /usr/include/krb5.
------- Comment #2 From 2008-09-09 15:31:18 -------
fixed in 3.5.9-alt9
------- Comment #3 From 2008-09-09 17:22:47 -------
Я забыл срезолвить :-)